<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE rmi PUBLIC "-//BEA Systems, Inc.//RMI Runtime DTD 1.0//EN" "rmi.dtd">
<rmi
    name="j81mantenimientosSesionEJB.J81MantenimientosSesion_h71jww_EOImpl"
>
<cluster
    clusterable="true"
    propagate-environment="true"
>
</cluster>

<lifecycle
    dgc-policy="managed"
>
</lifecycle>

<method
    name="fncGuardar(java.lang.String,java.lang.String,java.util.ArrayList,java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarCondicional(java.lang.String,java.lang.String,java.lang.String,java.util.ArrayList,java.util.ArrayList,java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarUpdRecursivo(java.lang.String,java.util.ArrayList,java.util.ArrayList,java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarUpdRecursivoModificadoUpdate(java.lang.String,java.util.ArrayList,java.util.ArrayList,java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarSecuencia(java.lang.String,java.lang.String,java.util.ArrayList,java.lang.String,java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncMuestraFichero(java.lang.String,java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarFichero(java.lang.String,java.lang.String,java.lang.String,java.util.ArrayList,java.lang.Integer,java.lang.String,java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarFicheroSecuencia(java.lang.String,java.lang.String,java.lang.String,java.util.ArrayList,java.lang.String,java.lang.Integer,java.lang.String,java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncConsultaCentroOrg(java.util.ArrayList,java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarSecuenciaConInsert(java.util.ArrayList,java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarDatosEntidad(java.util.ArrayList,java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarEntInter(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarEntIntercambioBFA(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncRecogerValoresEntInter(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncCargaCombosDetalleEntInter(java.util.ArrayList,java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarAltaDetalleEntInter(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarModificarDetalleEntInter(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarCodEstr(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncObtenerEstructCodUsuarioControlHorarios(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarAgrupacionEntidades(j81.j81beans.J81AgrupacionEntidadesBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarAgrupacionEntidades(j81.j81beans.J81AgrupacionEntidadesBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarEntidadesAgrupadas(j81.j81beans.J81AgrupacionEntidadesBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncAsociarEntidad(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncDesasociarEntidad(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarAsistAprov(java.lang.String,java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncDatosAsistencia(java.util.HashMap)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarTrabajador(j81.j81beans.J81ListaTrabajadoresBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarDatosBasicos()"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncBuscarLinksDatosBasicos(j81.j81beans.J81DatosBasicosBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarDetalleDatosBasicos(j81.j81beans.J81DatosBasicosBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncRecuperaPlantillasContenido(java.util.List)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncRecuperaPlantillas(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncComprobarParticular(java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarDatosPersonaParticular(j81.j81beans.J81PersonaParticularBean)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="getCamposDNI(java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="getPermisosEntidad(java.lang.String)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="fncGuardarRegAcciones(java.util.ArrayList)"
    requires-transaction="true"
    idempotent="true"
>
</method>
<method
    name="getEJBHome()"
    requires-transaction="true"
>
</method>
<method
    name="getPrimaryKey()"
    requires-transaction="true"
>
</method>
<method
    name="remove()"
    requires-transaction="true"
>
</method>
<method
    name="getHandle()"
    requires-transaction="true"
>
</method>
<method
    name="isIdentical(javax.ejb.EJBObject)"
    requires-transaction="true"
>
</method>

<security
    client-authentication="supported"
    client-cert-authentication="supported"
    identity-assertion="supported"
    confidentiality="supported"
    integrity="supported"
>
</security>

</rmi>
